summaryrefslogtreecommitdiffstats
path: root/games
diff options
context:
space:
mode:
author Dimitris Zlatanidis <d.zlatanidis@gmail.com>2014-04-03 21:30:11 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-07 14:43:52 +0700
commit28d6c3efb7b76066b25db03647d626a90c81fc59 (patch)
treeda32765ec1ff462be73e92feb76db82be378dda1 /games
parent68d4a9b6cf257bafa66b99bed3af81941d4a6a88 (diff)
downloadslackbuilds-28d6c3efb7b76066b25db03647d626a90c81fc59.tar.gz
slackbuilds-28d6c3efb7b76066b25db03647d626a90c81fc59.tar.xz
games/freeorion: Added (space game).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'games')
-rw-r--r--games/freeorion/README5
-rw-r--r--games/freeorion/doinst.sh7
-rw-r--r--games/freeorion/freeorion.SlackBuild97
-rw-r--r--games/freeorion/freeorion.info10
-rw-r--r--games/freeorion/slack-desc19
5 files changed, 138 insertions, 0 deletions
diff --git a/games/freeorion/README b/games/freeorion/README
new file mode 100644
index 0000000000..0fb8645188
--- /dev/null
+++ b/games/freeorion/README
@@ -0,0 +1,5 @@
+FreeOrion is a free, open source, turn-based space empire and
+galactic conquest (4X) computer game being designed and built
+by the FreeOrion project. FreeOrion is inspired by the tradition
+of the Master of Orion games, but is not a clone or remake of that
+series or any other game.
diff --git a/games/freeorion/doinst.sh b/games/freeorion/doinst.sh
new file mode 100644
index 0000000000..58e0b447c3
--- /dev/null
+++ b/games/freeorion/doinst.sh
@@ -0,0 +1,7 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+fi
diff --git a/games/freeorion/freeorion.SlackBuild b/games/freeorion/freeorion.SlackBuild
new file mode 100644
index 0000000000..4de14e5337
--- /dev/null
+++ b/games/freeorion/freeorion.SlackBuild
@@ -0,0 +1,97 @@
+#!/bin/sh
+
+# Slackware build script for freeorion
+
+# Copyright 2014 Dimitris Zlatanidis Greece-Orestiada
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=freeorion
+SRCNAM=FreeOrion
+VERSION=${VERSION:-0.4.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz || tar xvf $CWD/$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changelog.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/freeorion/freeorion.info b/games/freeorion/freeorion.info
new file mode 100644
index 0000000000..38241fa6a9
--- /dev/null
+++ b/games/freeorion/freeorion.info
@@ -0,0 +1,10 @@
+PRGNAM="freeorion"
+VERSION="0.4.3"
+HOMEPAGE="http://www.freeorion.org"
+DOWNLOAD="https://github.com/dslackw/FreeOrion/archive/0.4.3.tar.gz"
+MD5SUM="7dd9fd65951d8f0d9f06779394cec694"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenAL FreeImage bullet ois ogre"
+MAINTAINER="Dimitris Zlatanidis"
+EMAIL="d.zlatanidis@gmail.com"
diff --git a/games/freeorion/slack-desc b/games/freeorion/slack-desc
new file mode 100644
index 0000000000..d9b3298459
--- /dev/null
+++ b/games/freeorion/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+freeorion: freeorion (space game)
+freeorion:
+freeorion: FreeOrion is a free, open source, turn-based space
+freeorion: empire and galactic conquest (4X) computer game
+freeorion: being designed and built by the FreeOrion project.
+freeorion: FreeOrion is inspired by the tradition of the Master
+freeorion: of Orion games, but is not a clone or remake of that
+freeorion: series or any other game.
+freeorion:
+freeorion: Homepage: http://www.freeorion.org
+freeorion: